Chapter 7. Dialup Reports
Prev | Part II. Reports Reference | Next

## Chapter 7. Dialup Reports

## Supported Log Format

Lire supports logs of one dialup connections: Linux kernel 2.4.x isdnlog.

### Linux kernel 2.4.x isdnlog

### Report Descriptions and Configuration

#### Connections By Connection Time Dialup Report

ID: `connections-by-connection-time`

Chart: None

This report shows the number of connections aggregated in configurable connection time range.

Parameters

`size`

  This parameter controls the size of the connection time ranges over which the connections are aggregated.

  Defaults to `1m`.

#### Connections By Period Dialup Report

ID: `connections-by-period`

Chart: histogram

This report shows the number of connections aggregated in configurable time periods. It does only include succesful connections.

Parameters

`period`

  This parameter controls the time period over which the connections are aggregated.

  Defaults to `1d`.

#### Connections By Connection Type Dialup Report

ID: `connections-by-type`

Chart: histogram

This report shows the number of connections aggregated by connection type (data or speech).

This report doesn't have any parameters.

#### Connections By Connect Status Dialup Report

ID: `connections-by-connection-status`

Chart: histogram

This report shows the number of connections aggregated by connect status (ring, busy, connected or failed).

This report doesn't have any parameters.

#### Connections By Hangup Status Dialup Report

ID: `connections-by-hangup-status`

Chart: histogram

This report shows the number of connections aggregated by hangup status (no answer, normal, unallocated).

This report doesn't have any parameters.

#### Connection Time By Type By Period Dialup Report

ID: `connection-time-by-period`

Chart: bars

This report lists the total connection time by period.

Parameters

`period`

  This parameter controls the time period over which the connection time is aggregated.

  Defaults to `1d`.

#### Most Connections From Telephone Number Dialup Report

ID: `top-telephone-number-from`

Chart: bars

This report lists the telephone numbers from which the most connections were made.

Parameters

`numbers_to_show`

  This parameter controls the number of telephone numbers to display in the report.

  Defaults to `10`.

#### Most Connections To Telephone Number Dialup Report

ID: `top-telephone-number`

Chart: bars

This report lists the telephone numbers to which to most connections were made.

Parameters

`numbers_to_show`

  This parameter controls the number of telephone numbers the display in the report.

  Defaults to `10`.

#### Cost By Period Dialup Report

ID: `cost-by-period`

Chart: bars

This report lists the total cost by period.

Parameters

`period`

  This parameter controls the time period over which the total cost is aggregated.

  Defaults to `1d`.

#### Cost By Telephone Number Dialup Report

ID: `cost-by-telephone-number`

Chart: bars

This report lists the total cost for each telephone number which has been called to.

This report doesn't have any parameters.

Prev | Up | Next
Filter Descriptions and Configuration | Home | Chapter 8. DNS Reports